%define name lxpanel
%define major 0
%define libname %mklibname %name %major

Name:		%{name}
Version:	0.9.3
Release:	%mkrel 1
Summary:	Lightweight X11 desktop panel based on fbpanel
License:	GPLv2+
Group:		Graphical desktop/Other
URL:		http://www.lxde.org

Source0:	http://downloads.sourceforge.net/lxde/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(gio-unix-2.0)
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-2.0) >= 2.16.0
BuildRequires:	pkgconfig(libmenu-cache)
BuildRequires:	pkgconfig(libwnck-1.0)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(libfm-gtk)
BuildRequires:	libalsa-devel
BuildRequires:	intltool
BuildRequires:	docbook-to-man
BuildRequires:	gettext-devel
BuildRequires:	libiw-devel
BuildRequires:	automake
BuildRequires:	pkgconfig(keybinder)
BuildRequires:	pkgconfig(indicator-0.4)

Requires:	desktop-common-data
Requires:	libnotify
Recommends:	pcmanfm

%description
LXPanel is a lightweight X11 desktop panel contains:
1. User-friendly application menu automatically generated from *.desktop
   files on the system.
2. Launcher bar (Small icons clicked to launch apps)
3. Task bar supporting urgency hint (Can flash when gaim gets new
   incoming messages)
4. Notification area (System tray)
5. Digital clock
6. Run dialog (A dialog let you type a command and run, can be called in
   external programs)
7. Volume control plug-in (optional, written by jserv)
8. lxpanelctl, an external controller let you control lxpanel in other
   programs.

%package devel
Summary:	Development files for lxpanel
Group:		Graphical desktop/Other
Requires:	%{name} = %{version}

%description devel
This package contains development files needed for building lxde plugins.

%package -n %libname
Summary:	Lxpanel library package
Group:		Graphical desktop/Other
Requires:	%{name} = %{version}

%description -n %libname
Library for access to the API.

%prep
%setup -q

%build
%configure2_5x --enable-indicator-support
%make_build

%install
%make_install

%{find_lang} %{name}

%files -f %{name}.lang
%{_bindir}/%{name}
%{_bindir}/lxpanelctl
%{_sysconfdir}/xdg/%{name}/*
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins
%{_libdir}/%{name}/plugins/batt.so
%{_libdir}/%{name}/plugins/cpu.so
%{_libdir}/%{name}/plugins/cpufreq.so
%{_libdir}/%{name}/plugins/deskno.so
%{_libdir}/%{name}/plugins/kbled.so
%{_libdir}/%{name}/plugins/indicator.so
%{_libdir}/%{name}/plugins/monitors.so
%{_libdir}/%{name}/plugins/netstat.so
%{_libdir}/%{name}/plugins/netstatus.so
%{_libdir}/%{name}/plugins/thermal.so
%{_libdir}/%{name}/plugins/volume.so
%{_libdir}/%{name}/plugins/weather.so
%{_libdir}/%{name}/plugins/xkb.so
%{_datadir}/%{name}
%{_mandir}/man1/*

%files devel
%{_includedir}/%{name}
%{_libdir}/%{name}/lib%{name}.so
%{_libdir}/%{name}/lib%{name}.la
%{_libdir}/pkgconfig/%{name}.pc

%files -n %libname
%{_libdir}/%{name}/lib%{name}.so.%{major}{,.*}


%changelog
* Mon Jan 23 2017 ns80 <ns80> 0.9.3-1.mga6
+ Revision: 1083121
- new version 0.9.3

* Mon Jan 09 2017 ns80 <ns80> 0.9.2-2.mga6
+ Revision: 1080760
- add upstream patches to update French translations and fix battery calculations

* Thu Dec 29 2016 ns80 <ns80> 0.9.2-1.mga6
+ Revision: 1078604
- new version 0.9.2

* Fri Nov 25 2016 ns80 <ns80> 0.9.1-2.mga6
+ Revision: 1070084
- add two upstream patches to fix some problems with the battery plugin

* Tue Nov 22 2016 ns80 <ns80> 0.9.1-1.mga6
+ Revision: 1068699
- new version 0.9.1

* Sun Nov 20 2016 ns80 <ns80> 0.9.0-1.mga6
+ Revision: 1068448
- new version 0.9.0

* Fri Nov 18 2016 ns80 <ns80> 0.8.3-0.20161118.1.mga6
+ Revision: 1068149
- latest git snapshot

* Thu Nov 17 2016 ns80 <ns80> 0.8.3-0.20161117.1.mga6
+ Revision: 1068065
- fix some crashes

* Thu Nov 17 2016 ns80 <ns80> 0.8.3-0.20161116.2.mga6
+ Revision: 1067885
-latest git snapshot

* Wed Nov 16 2016 ns80 <ns80> 0.8.3-0.20161116.1.mga6
+ Revision: 1067594
- latest git snapshot

* Wed Nov 16 2016 ns80 <ns80> 0.8.3-0.20161115.2.mga6
+ Revision: 1067533
- latest git snapshot

* Tue Nov 15 2016 ns80 <ns80> 0.8.3-0.20161115.1.mga6
+ Revision: 1067501
- latest git snapshot

* Mon Nov 14 2016 ns80 <ns80> 0.8.3-0.20161113.1.mga6
+ Revision: 1067190
- latest git snapshot

* Wed Nov 09 2016 ns80 <ns80> 0.8.3-0.20161108.2.mga6
+ Revision: 1066056
- update Hungarian translation

* Tue Nov 08 2016 ns80 <ns80> 0.8.3-0.20161108.1.mga6
+ Revision: 1065799
- latest git snapshot

* Mon Nov 07 2016 ns80 <ns80> 0.8.3-0.20161106.1.mga6
+ Revision: 1065573
- latest git snapshot

* Fri Nov 04 2016 ns80 <ns80> 0.8.3-0.20161104.2.mga6
+ Revision: 1065269
- update Catalan translation

* Fri Nov 04 2016 ns80 <ns80> 0.8.3-0.20161104.1.mga6
+ Revision: 1065256
- latest git snapshot

* Fri Nov 04 2016 ns80 <ns80> 0.8.3-0.20161103.2.mga6
+ Revision: 1065238
- latest git snapshot

* Thu Nov 03 2016 ns80 <ns80> 0.8.3-0.20161103.1.mga6
+ Revision: 1064809
- update some translations

* Wed Nov 02 2016 ns80 <ns80> 0.8.3-0.20161101.2.mga6
+ Revision: 1064726
- enable indicator plugin

* Tue Nov 01 2016 ns80 <ns80> 0.8.3-0.20161101.1.mga6
+ Revision: 1064452
- latest git snapshot

* Mon Oct 31 2016 ns80 <ns80> 0.8.3-0.20161031.1.mga6
+ Revision: 1064303
- latest git snapshot

* Wed Oct 26 2016 ns80 <ns80> 0.8.3-0.20161026.3.mga6
+ Revision: 1063685
- update Dutch translation

* Wed Oct 26 2016 ns80 <ns80> 0.8.3-0.20161026.2.mga6
+ Revision: 1063569
- update Portuguese translation

* Wed Oct 26 2016 ns80 <ns80> 0.8.3-0.20161026.1.mga6
+ Revision: 1063555
- latest git snapshot

* Tue Oct 25 2016 ns80 <ns80> 0.8.3-0.20161025.2.mga6
+ Revision: 1063475
- fix memory leaks

* Tue Oct 25 2016 ns80 <ns80> 0.8.3-0.20161025.1.mga6
+ Revision: 1063459
- latest git snapshot

* Mon Oct 24 2016 ns80 <ns80> 0.8.3-0.20161023.1.mga6
+ Revision: 1063351
- update to 2016-10-23 for several fixes

* Thu Oct 20 2016 ns80 <ns80> 0.8.3-0.20161020.1.mga6
+ Revision: 1062626
- latest git snapshot

* Wed Oct 19 2016 ns80 <ns80> 0.8.3-0.20161019.1.mga6
+ Revision: 1062206
- latest git snapshot

* Tue Oct 18 2016 ns80 <ns80> 0.8.3-0.20161018.2.mga6
+ Revision: 1061530
- the plugin volumealsa is replaced by volume
- latest git snapshot

* Tue Oct 11 2016 ns80 <ns80> 0.8.3-0.20161010.1.mga6
+ Revision: 1060146
- latest git snapshot

* Mon Oct 10 2016 ns80 <ns80> 0.8.3-0.20161009.1.mga6
+ Revision: 1059910
- latest git snapshot

* Fri Oct 07 2016 ns80 <ns80> 0.8.3-0.20161006.1.mga6
+ Revision: 1059305
- latest git snapshot

* Wed Oct 05 2016 ns80 <ns80> 0.8.3-0.20161005.1.mga6
+ Revision: 1058921
- latest git snapshot

* Tue Oct 04 2016 ns80 <ns80> 0.8.3-0.20161003.2.mga6
+ Revision: 1058458
- latest git snapshot

* Mon Oct 03 2016 ns80 <ns80> 0.8.3-0.20161003.1.mga6
+ Revision: 1058190
- latest git snapshot

* Tue May 10 2016 ns80 <ns80> 0.8.3-0.20160329.1.mga6
+ Revision: 1012054
- latest git snapshot
- delete merged upstream patches

* Wed Mar 16 2016 wally <wally> 0.8.2-4.mga6
+ Revision: 992095
- rediff battery plugin's GTK3 fix to apply with --fuzz=0

* Sat Mar 12 2016 ns80 <ns80> 0.8.2-3.mga6
+ Revision: 989567
- add upstream patch to fix weather locations query

* Fri Feb 26 2016 ns80 <ns80> 0.8.2-2.mga6
+ Revision: 979571
- add upstream patches to update man pages

* Sun Feb 21 2016 ns80 <ns80> 0.8.2-1.mga6
+ Revision: 975331
- new version 0.8.2
- remove patch fix-crash-with-eterm (merged upstream)

* Tue Feb 16 2016 ns80 <ns80> 0.8.1-2.mga6
+ Revision: 962365
- add patch fix-crash-with-eterm taken from https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=801319#15 (mga#17582)

* Tue Jul 07 2015 ns80 <ns80> 0.8.1-1.mga6
+ Revision: 852287
- New version 0.8.1

* Sun Oct 26 2014 alexl <alexl> 0.7.2-1.mga5
+ Revision: 793542
- delete old upstream patch
- version 0.7.2 (mga#14369)

* Wed Oct 22 2014 alexl <alexl> 0.7.1-1.mga5
+ Revision: 792498
- drop all old patches
- fix upstream bug #679 (lxpanel 0.7.1 covers maximized windows)
- add requires libnotify (used by battery-monitor.patch)
- version 0.7.1 (mga#14162)

* Wed Oct 15 2014 umeabot <umeabot> 0.5.12-8.mga5
+ Revision: 744260
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5.12-7.mga5
+ Revision: 682081
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Sun Jan 19 2014 colin <colin> 0.5.12-6.mga4
+ Revision: 566977
- Fix launching .desktop files with %%c. Patch from Max Krummenacher mga#11951

* Wed Dec 04 2013 colin <colin> 0.5.12-5.mga4
+ Revision: 554922
- Fix double fork patch again to pass the correct error pointer. mga#11184

* Tue Oct 22 2013 umeabot <umeabot> 0.5.12-4.mga4
+ Revision: 542064
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 colin <colin> 0.5.12-3.mga4
+ Revision: 496835
- Do not double-fork on menu+panel launchers (mga#11184)

* Tue Jul 30 2013 fwang <fwang> 0.5.12-2.mga4
+ Revision: 461237
- rebuild for new menu-cache

* Mon Jun 24 2013 fwang <fwang> 0.5.12-1.mga4
+ Revision: 446170
- new version 0.5.12

* Sat Jan 12 2013 umeabot <umeabot> 0.5.10-3.mga3
+ Revision: 359180
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 cjw <cjw> 0.5.10-2.mga3
+ Revision: 344346
- add automake 1.13 in patch4

* Sat Aug 25 2012 obgr_seneca <obgr_seneca> 0.5.10-1.mga3
+ Revision: 283904
- Fix building with automake-1.12
- New version

* Mon May 28 2012 obgr_seneca <obgr_seneca> 0.5.9-1.mga3
+ Revision: 248377
- added missing BR for wnck-devel
- new version 0.5.9
- removed old patches
- rediffed battery monitor patch
- removed customization patch, it's done with lxde-common package

* Wed May 16 2012 obgr_seneca <obgr_seneca> 0.5.8-7.mga2
+ Revision: 235787
- added volume control to lxpanel (bug #5935)

* Thu Apr 26 2012 obgr_seneca <obgr_seneca> 0.5.8-6.mga2
+ Revision: 233343
- added missing BR for gettext-devel
- fixed translation syntax for clock help mga bug #5545
- fixing a random high cpu usage in lxpanel
- bug reported at several distros, Mga Bug #2203
- removed Require for libnotify
- it's already required by lxde-common
- little changes to battery monitor patch

* Fri Nov 25 2011 obgr_seneca <obgr_seneca> 0.5.8-4.mga2
+ Revision: 171910
- use libnotify for low battery warning

* Wed Nov 23 2011 obgr_seneca <obgr_seneca> 0.5.8-3.mga2
+ Revision: 171339
-added patch for the battery monitor

* Thu Nov 17 2011 obgr_seneca <obgr_seneca> 0.5.8-2.mga2
+ Revision: 168619
- little changes in customization patch

  + fwang <fwang>
    - new version 0.5.8

* Mon Jul 11 2011 ahmad <ahmad> 0.5.6-3.mga2
+ Revision: 122063
- Build all the panel plugins (mga#1735)

* Sat Feb 05 2011 ahmad <ahmad> 0.5.6-2.mga1
+ Revision: 47034
- drop patch2, not needed any more
- add patch1 from upstream to fix build
- we now use @prefix@/share/icons/mageia.png
- imported package lxpanel

